### Method

# Ide Debugger interpret_async

#### Declaration

    void
    ide_debugger_interpret_async (
      IdeDebugger* self,
      const gchar* command,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests that the debugger interpret the command.

This is used by the interactive-console to submit commands to the debugger that are in the native syntax of that debugger.

The debugger is expected to return any textual output via the IdeDebugger::log signal.

Call `ide_debugger_interpret_finish()` from `callback` to determine if the command was interpreted.

Available since: | 3.32

#### Parameters

`command` | `const gchar*`
| A command to execute.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute, or `NULL`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.